# Function createCozoDbCommandFactory

- createCozoDbCommandFactory(dbSchema): {
  generateAtomCommand: ((tableName: string, items: Partial<DbEntity>[], fieldNames?: string[]) => string);
  generateGet: ((tableName: string, selectFields?: string[], conditions?: string[], conditionFields?: string[], options?: GetCommandOptions) => string);
  generateModifyCommand: ((tableName: string, command?: "update" | "put", fieldNames?: string[]) => string);
  generatePut: ((tableName: string, array: Partial<DbEntity>[]) => string);
  generateRm: ((tableName: string, keyValues: Partial<DbEntity>[]) => string);
  generateUpdate: ((tableName: string, array: Partial<DbEntity>[]) => string);
  }

- #### Parameters

  - dbSchema: DBSchema

  #### Returns {
  generateAtomCommand: ((tableName: string, items: Partial<DbEntity>[], fieldNames?: string[]) => string);
  generateGet: ((tableName: string, selectFields?: string[], conditions?: string[], conditionFields?: string[], options?: GetCommandOptions) => string);
  generateModifyCommand: ((tableName: string, command?: "update" | "put", fieldNames?: string[]) => string);
  generatePut: ((tableName: string, array: Partial<DbEntity>[]) => string);
  generateRm: ((tableName: string, keyValues: Partial<DbEntity>[]) => string);
  generateUpdate: ((tableName: string, array: Partial<DbEntity>[]) => string);
  }

  - ##### generateAtomCommand: ((tableName: string, items: Partial<DbEntity>[], fieldNames?: string[]) => string)

    - - (tableName, items, fieldNames?): string

      - #### Parameters

        - tableName: string
        - items: Partial<DbEntity>[]
        - fieldNames: string[] = []

        #### Returns string

  - ##### generateGet: ((tableName: string, selectFields?: string[], conditions?: string[], conditionFields?: string[], options?: GetCommandOptions) => string)

    - - (tableName, selectFields?, conditions?, conditionFields?, options?): string

      - #### Parameters

        - tableName: string
        - selectFields: string[] = []
        - conditions: string[] = []
        - conditionFields: string[] = []
        - options: GetCommandOptions = {}

        #### Returns string

  - ##### generateModifyCommand: ((tableName: string, command?: "update" | "put", fieldNames?: string[]) => string)

    - - (tableName, command?, fieldNames?): string

      - #### Parameters

        - tableName: string
        - command: "update" | "put" = 'put'
        - fieldNames: string[] = []

        #### Returns string

  - ##### generatePut: ((tableName: string, array: Partial<DbEntity>[]) => string)

    - - (tableName, array): string

      - #### Parameters

        - tableName: string
        - array: Partial<DbEntity>[]

        #### Returns string

  - ##### generateRm: ((tableName: string, keyValues: Partial<DbEntity>[]) => string)

    - - (tableName, keyValues): string

      - #### Parameters

        - tableName: string
        - keyValues: Partial<DbEntity>[]

        #### Returns string

  - ##### generateUpdate: ((tableName: string, array: Partial<DbEntity>[]) => string)

    - - (tableName, array): string

      - #### Parameters

        - tableName: string
        - array: Partial<DbEntity>[]

        #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/cozoDbCommandFactory.ts:5